//
//  LoginView.swift
//  AcaMate
//
//  Created by Sean Kim on 12/1/24.
//

import SwiftUI

struct LoginView: View {
    @EnvironmentObject var alertController: AlertController
    @Binding var naviState : NaviState
    
    var body: some View {
        VStack(spacing: 0) {
            Image("Team_Icon")
                .resizable()
                .frame(maxWidth: 200, maxHeight: 200)
                .frame(width: 200, height: 200)
                .background(.white)
                .border(.black)
                .padding(.bottom, 84)
            /// 앱 아이콘 이미지
            
            VStack(spacing: 16) {
                Button {
                    // MARK: TO-DO
                    // 카카오 로그인 연동
                    naviState.set(act: .MOVE, path: .Main)
                } label: {
                    HStack(spacing: 24) {
                        Image("Kakao_Icon")
                            .resizable()
                            .frame(width: 32, height: 32)
                        Text("카카오 계정으로 시작하기")
                            .font(.nps(font: .regular, size: 16))
                            .foregroundStyle(Color(.Text.black))
                    }
                    .frame(maxWidth: .infinity)
                    .padding(12)
                    .background {
                        RoundedRectangle(cornerRadius: 12)
                            .foregroundStyle(Color(.Other.yellow))
                    }
                }
                .frame(maxWidth: .infinity)
                /// KAKAO 로그인 버튼
                
                Button {
                    // MARK: TO-DO
                    // 애플 로그인 연동
                } label: {
                    HStack(spacing: 24) {
                        Image(systemName: "apple.logo")
                            .resizable()
                            .accentColor(Color(.Text.white))
                            .frame(width: 32, height: 32)
                        
                        Text("애플 계정으로 시작하기")
                            .font(.nps(font: .regular, size: 16))
                            .foregroundStyle(Color(.Text.white))
                    }
                    .frame(maxWidth: .infinity)
                    .padding(12)
                    .background {
                        RoundedRectangle(cornerRadius: 12)
                            .foregroundStyle(Color(.Text.black))
                    }
                }
                .frame(maxWidth: .infinity)
                /// APPLE 로그인 버튼
            }
            .padding([.leading,.trailing], 28)
            /// 버튼 조합
            
            // 삭제
//            Button {
//                alertController.alertData = SetAlertData().setTest()
//                alertController.showAlert.toggle()
//                //                naviState.set(act: .MOVE,path: .Intro)
//                
//            } label: {
//                Text("111111111")
//            }

        }
        .fullDrawView(.Normal.normal)
    }
}

//#Preview {
//    LoginView()
//}
